Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Operation_Table Class Reference

Abstract class for maintaining and lookup of CORBA IDL operation names. More...

`#include <Operation_Table.h>`

Inheritance diagram for TAO_Operation_Table:

[legend]
List of all members.

## Public Methods
virtual int | find (const char *opname, TAO_Skeleton &skelfunc, const unsigned int length=0)=0
virtual int | find (const char *opname, TAO_Collocated_Skeleton &skelfunc, TAO::Collocation_Strategy s, const unsigned int length=0)=0
virtual int | bind (const char *opname, const TAO::Operation_Skeletons skel_ptr)=0
virtual | ~TAO_Operation_Table (void)

## Detailed Description

Abstract class for maintaining and lookup of CORBA IDL operation names.

## Constructor & Destructor Documentation

TAO_Operation_Table::~TAO_Operation_Table | ( | void |  | ) | `[virtual]`

## Member Function Documentation

virtual int TAO_Operation_Table::bind | ( | const char * | opname,
|  | const TAO::Operation_Skeletons | skel_ptr
| ) | `[pure virtual]`

| Associate the skeleton <{skel_ptr}> with an operation named <{opname}>. Returns -1 on failure, 0 on success, 1 on duplicate. Implemented in TAO_Dynamic_Hash_OpTable, TAO_Linear_Search_OpTable, TAO_Active_Demux_OpTable, TAO_Perfect_Hash_OpTable, and TAO_Binary_Search_OpTable.

virtual int TAO_Operation_Table::find | ( | const char * | opname,
|  | TAO_Collocated_Skeleton & | skelfunc,
|  | TAO::Collocation_Strategy | s,
|  | const unsigned int | length = 0
| ) | `[pure virtual]`

| Uses <{opname}> to look up the collocated skeleton function and pass it back in <{cskelfunc}>. Returns non-negative integer on success, or -1 on failure. Implemented in TAO_Dynamic_Hash_OpTable, TAO_Linear_Search_OpTable, TAO_Active_Demux_OpTable, TAO_Perfect_Hash_OpTable, and TAO_Binary_Search_OpTable.

virtual int TAO_Operation_Table::find | ( | const char * | opname,
|  | TAO_Skeleton & | skelfunc,
|  | const unsigned int | length = 0
| ) | `[pure virtual]`

| Uses <{opname}> to look up the skeleton function and pass it back in <{skelfunc}>. Returns non-negative integer on success, or -1 on failure. Implemented in TAO_Dynamic_Hash_OpTable, TAO_Linear_Search_OpTable, TAO_Active_Demux_OpTable, TAO_Perfect_Hash_OpTable, and TAO_Binary_Search_OpTable.

The documentation for this class was generated from the following files:

- Operation_Table.h
- Operation_Table.cpp